XSBuilder::PODTemplate(3)

NAME
$module

FUNCTIONS
} ;
    }

# --------------------------------------------------------------------------

sub gen_pod_func

    {
    my ($self, $objclass, $obj, $method, $args, $retclass, $ret, $comment, $since) = @_ ;

    my $argnames = join (',', map {  $_ -> {name} } @{$args}[($objclass?1:0)..$#$args]) ;
    my $rettext  = $retclass?'$ret = ':'' ;
    my $objtext  = $objclass?"$obj -> ":'' ;

    my $data = qq{

  \@func: $method()
$rettext$objtext $method($argnames)

    } ;

        foreach $arg (@$args)
            {
            $data .= qq{

    \@param: $arg->{class} $arg->{name}

    $arg->{comment} } ;
            }

        if ($retclass)
            {
            $data .= qq{

    \@ret: $retclass

    $retcomment } ;
            }

        $data .= qq{

    \@since: $since

$comment

} ;

    return $data ;
    }

# --------------------------------------------------------------------------

sub gen_pod_struct_member

    {
    my ($self, $objclass, $obj, $memberclass, $member, $comment, $since) = @_ ;

qq{

  \@func: $member()
\$val = $obj -> $member(\$newval)

\@param: $objclass $obj
\@param: $memberclass \$newval
    } .

    ($since?"=item \@since: $since\n\n":'') .

    qq{ =back

    $comment

    } ;

        }

     1;

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 57:
    You can't have =items (as at line 65) unless the first thing after the =over is an =item

Around line 110:
    =over without closing =back